Bug 121756 - system-config-display displays erroreous information
system-config-display displays erroreous information
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-27 10:17 EDT by Matthew East
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-17 14:31:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew East 2004-04-27 10:17:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040422

Description of problem:
I am running fedora 1.92 (test 3) and have updated all components. I
find that I cannot properly configure my display with
system-config-display as it gives the wrong information. When I start
it up, under the settings tab the wrong resolution is displayed (i.e.
a lower resolution to that in my config file at /etc/X11/XF86Config),
and the same applies to the video driver under the hardware tab, which
specifies the Vesa driver (I am actually using the radeon driver). 
I have a very similar problem with system-config-security with regard
to selinux status, which I will submit separately. I copy a section of
/etc/X11/XF86Config below for clarity:

Section "Monitor"
 
 ### Uncomment if you don't want to default to DDC:
#       HorizSync    31.5 - 48.5
#       VertRefresh  40.0 - 70.0
 ### Uncomment if you don't want to default to DDC:
#       HorizSync    31.5 - 37.9
#       VertRefresh  50.0 - 70.0
 ### Uncomment if you don't want to default to DDC:
        HorizSync    31.5 - 37.9
        VertRefresh  50.0 - 70.0
        Identifier   "Laptop LCD Panel"
        VendorName   "Monitor Vendor"
        ModelName    "LCD Panel 1024x768"
 ### Uncomment if you don't want to default to DDC:
#       HorizSync    31.5 - 37.9
#       VertRefresh  50.0 - 70.0
        Option       "dpms"
EndSection
 
Section "Device"
        Identifier  "IGP 340M"
        Driver      "radeon"
        VendorName  "ATI"
        BoardName   "IGP 340M"
EndSection
 
Section "Screen"
        Identifier "Screen0"
        Device     "IGP 340M"
        Monitor    "Laptop LCD Panel"
        DefaultDepth     24
        SubSection "Display"
                Depth     24
                Modes    "1024x768" "800x600" "640x480"
        EndSubSection
EndSection

many thanks for your attention, and I hope that you will be able to
help me with this problem.

yours, Matthew East

Version-Release number of selected component (if applicable):
system-config-display-1.0.13-3

How reproducible:
Always

Steps to Reproduce:
1. Manually edit the config file to the desired settings, restart X.
2. Run system-config-display GUI.
3. Observe that the settings are wrong. 

Actual Results:  The settings in the GUI are not consistent with the
settings in the configuration file.

Expected Results:  They should be!

Additional info:
Comment 1 Andrew Farris 2004-05-14 14:03:06 EDT
By test 3 you should be using /etc/X11/xorg.conf instead of
/etc/X11/XF86Config.. this *may* be confusing things, although the
latter seems to still be checked if xorg.conf is not there.

The resolution issue is most likely duplicate of #120950, see this
comment for how to verify the fix works for you: 
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=120950#c8
Comment 2 Darin May 2004-05-14 14:23:23 EDT
I havce the same problem after a frensh intall of FC2-test3 so it's al
xorg instead of XFree86.

HP Laptop Omnibook 4150b
ATI Rage Mobility video driver
Generic LCD 1024x768

Freferences:Screen Resolution shows the correct current mode of
1024x768, 85HZ
System Settings:Display shows Resolution 640x480, Millions of colors.
1024x768 is not an option despite the current mode actually being
1024x768.
Comment 3 Brent Fox 2004-05-17 14:31:00 EDT
There was a bug with FC2 test 3 that was causing both XF86Config and
xorg.conf to be written out.  This is likely the source of the
problem.  I believe that this was fixed for the FC2 final tree, so
please try with it and reopen this bug if the behavior you are seeing
still persists.

Note You need to log in before you can comment on or make changes to this bug.